## python-moreorless 0.3.0

=== Makefile ===
PYTHON?=python
SOURCES=moreorless setup.py

.PHONY: venv
venv:
	$(PYTHON) -m venv .venv
	source .venv/bin/activate && make setup
	@echo 'run `source .venv/bin/activate` to use virtualenv'

# The rest of these are intended to be run within the venv, where python points
# to whatever was used to set up the venv.

.PHONY: setup
setup:
	python -m pip install -Ur requirements-dev.txt

.PHONY: test
test:
	python -m coverage run -m moreorless.tests $(TESTOPTS)
	python -m coverage report

.PHONY: format
format:
	python -m isort --recursive -y $(SOURCES)
	python -m black $(SOURCES)

.PHONY: lint
lint:
	python -m isort --recursive --diff $(SOURCES)
	python -m black --check $(SOURCES)
	python -m flake8 $(SOURCES)
	mypy --strict moreorless

.PHONY: release
release:
	rm -rf dist
	python setup.py sdist bdist_wheel
	twine upload dist/*

=== debian/changelog ===
python-moreorless (0.3.0-2) unstable; urgency=medium

  * rules: Drop unnecessary PYBUILD_TEST_PYTEST=1 (set by default).
  * rules: Drop comments about how the method detailed on
    wiki.d.org…/Pybuild#CUSTOMIZATION failed, necessitating
    override_dh_auto_test.
  * tests/control: Drop unnecessary dependency on python3-coverage, which
    became unnecessary late in the initial packaging effort.  Adjust
    comment on allow-stderr, which continues to be necessary due to custom
    tests.
  * rules: Drop unnecessary cleanup of coverage output.
  * control: drop unused python3-pytest dep.
  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 13 Dec 2020 20:58:45 -0500

python-moreorless (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #973266)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 12 Dec 2020 19:24:03 -0500

=== debian/control ===
Source: python-moreorless
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-python
             , python3-all
             , python3-setuptools
             , python3-setuptools-scm
             , python3-click <!nocheck>
             , python3-parameterized <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/thatch/moreorless
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moreorless
Vcs-Git: https://salsa.debian.org/python-team/packages/python-moreorless.git

Package: python3-moreorless
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Python difflib with simpler arguments, and enhanced "No newline at EOF" support
 Moreorless is a thin wrapper around Python's difflib.unified_diff that Does
 The Right Thing for "No newline at eof".  The arguments used when calling
 moreorless' functions are simpler than difflib's.  Moreorless also supports
 various other functions such as
 `patch.apply_single_file` and `click.echo_color_unified_diff`.

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-moreorless
# Tests run without pytest produce stderr even when successful
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%moreorless-$1.tar.gz%" \
   https://github.com/thatch/moreorless/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-moreorless 0.4.0

=== Makefile ===
--- 
+++ 
@@ -21,13 +21,11 @@
 
 .PHONY: format
 format:
-	python -m isort --recursive -y $(SOURCES)
-	python -m black $(SOURCES)
+	python -m ufmt format $(SOURCES)
 
 .PHONY: lint
 lint:
-	python -m isort --recursive --diff $(SOURCES)
-	python -m black --check $(SOURCES)
+	python -m ufmt check $(SOURCES)
 	python -m flake8 $(SOURCES)
 	mypy --strict moreorless

=== debian/changelog ===
python-moreorless (0.4.0-2) unstable; urgency=medium

  * Team Upload.
  * Add test-dep on python3-parameterized (Closes: #997885)
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 03:21:47 +0530

python-moreorless (0.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Rebase quilt series onto this release.
  * Update my email address.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Oct 2021 21:09:35 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-python
              , python3-all
@@ -11,7 +11,7 @@
              , python3-click <!nocheck>
              , python3-parameterized <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/thatch/moreorless
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-moreorless

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=moreorless

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test -- \
	    --test-args="set -e; \
	                 cp -ar {dir}/moreorless/tests \
	                        {build_dir}/moreorless; \
	                 cd {build_dir}; \
	                 {interpreter} -m moreorless.tests --verbose"

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-moreorless/usr/lib/python3*/dist-packages/moreorless/tests

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-all, python3-parameterized
# Tests run without pytest produce stderr even when successful
Restrictions: allow-stderr
